Source: liblog-report-optional-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libstring-print-perl <!nocheck>,
                     perl
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/liblog-report-optional-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/liblog-report-optional-perl.git
Homepage: https://metacpan.org/release/Log-Report-Optional
Rules-Requires-Root: no

Package: liblog-report-optional-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libstring-print-perl
Description: wrapper around Log::Report and Log::Report::Minimal
 Log::Report::Optional will allow libraries (helper modules) to have a
 dependency to a small module instead of the full Log-Report distribution. The
 full power of Log::Report is only released when the main program uses that
 module. In that case, the module using the 'Optional' will also use the full
 Log::Report, otherwise the dressed-down Log::Report::Minimal version.
